Bug 135693 - cyrus-imapd package installed with root - must be cyrus
cyrus-imapd package installed with root - must be cyrus
Product: Fedora
Classification: Fedora
Component: cyrus-imapd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-10-14 10:49 EDT by Alexandre Cavalcante Alencar
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-21 13:15:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Cavalcante Alencar 2004-10-14 10:49:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:
The cyrus-imapd package are installed with root as owner of
/var/lib/imap and /var/spool/imap directories because cyrus user are
created after files and directories creation. This cause problems
because cyrus-imapd process run as cyrus user that don't have write
permissions on above directories and it's files.

The installation script must create cyrus user before coping files.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install cyrus-imapd package (yum install cyrus-imapd) and you will
see the warnings telling you that cyrus user doesn't exist and root
will be used.
2. Try to start cyrus-imapd daemon, this will give you some erros on
/var/log/messages and /var/log/maillog.
3. Log in the cyradm administration interface as cyrus user and try to
create a mailbox, you will get a permission denied message.

Actual Results:  The package are installed with root as owner of
/var/lib/imap and /var/spool/imap directories and it's files, then
create cyrus user account. That bring problems to system.

Expected Results:  The package create first of all, the cyrus user
account, then install the files, that will be owned by cyrus user, as
expected by cyrus daemons.

Additional info:

More information can be obtained in the logs after installing and
running cyrus-imapd daemon
Comment 1 Warren Togami 2004-10-20 22:21:02 EDT
Is this still an issue in FC3?  It seems that cyrus-imapd doesn't work
after installation using default config, but I didn't try very hard.
Comment 2 Mike A. Harris 2004-10-20 22:46:29 EDT
Seems like a critical issue that should be a FC3Blocker if the
bug still exists.  Could be something as simple as missing
%attr() flags in the cyrus %files section of the spec file.
Comment 3 John Dennis 2004-10-21 13:15:45 EDT
I don't believe this is currently an issue any longer. I've been
running a test installation of cyrus-imapd on FC3t2 with no problems
and directory permissions are correct. I also checked the spec file,
the cyrus user is created in %pre before files are actually installed.

However note there was a bug in the FC2 timeframe with a delay between
the invocation of useradd and the user being visible in the system due
to a bug in NSCD (bug #125421). This caused a number of rpm
installation problems that depended on creation of a user (I became
familar with this because I own mailman and it was getting hit by the
same thing).

Summary: I think this is already fixed (root cause is known, no
evidence in FC3) and its not a cyrus-imapd bug.

Note You need to log in before you can comment on or make changes to this bug.